#
# spec file for package rubygem-marcel
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-marcel
Version:        1.0.4
Release:        1.3
%define mod_name marcel
%define mod_full_name %{mod_name}-%{version}
# MANUAL
%if 0%{?suse_version} && 0%{?suse_version} < 1330
%define rb_build_versions ruby23 ruby24 ruby25
%define rb_build_ruby_abi ruby:2.3.0 ruby:2.4.0 ruby:2.5.0
%endif
# /MANUAL
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 2.3}
BuildRequires:  %{rubygem gem2rpm}
URL:            https://github.com/rails/marcel
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Simple mime type detection using magic numbers, filenames, and
License:        Apache-2.0 AND MIT

%description
Simple mime type detection using magic numbers, filenames, and extensions.

%prep

%build

%install
%gem_install \
  --doc-files="MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 1.0.4, no changelog found
* Sat Oct  9 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.0.2
  * Include Apache license in gem release. (a525d5b)
  * Prefer audio/x-wav for WAV audio files. (#45)
  * Prefer application/x-x509-ca-cert for Privacy-Enhanced Mail certificates. (#46)
  * Prefer audio/flac for FLAC audio files. (#47)
  * Prefer audio/aac for Advanced Audio Coding audio files. (#49)
  * Prefer application/vnd.ms-access for Microsodt Access DB files. (#50)
  * Support text/x-scss and text/x-sass stylesheets. (#52)
  * Support encrypted Microsoft Access DB files. (#53)
  * Prefer application/x-ole-storage for Microsoft Office files. (#54)
  * Prefer text/markdown for Markdown files. (#55)
  * Prefer audio/mpc for Musepack audio files. (#56)
  * Support audio/webm audio files. (#58)
  * Support image/avif images files. (#63)
* Tue Apr 20 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.0.1
  * Fixes identifying OpenDocument files by magic. 1.0.0 imprecisely identified them as application/zip. (#38)
  * Fixes identifying .docx, .pptx, and .xlsx files exported from Google Sheets by magic. (#36)
  * Identifies vCard files as text/vcard rather than text/x-vcard. (27fac74)
  * Identifies .otf, .woff, and .woff2 files aș font/otf, font/woff, and font/woff2, respectively. (#37)
* Mon Sep 17 2018 mschnitzer@suse.com
- updated to version 0.3.3 (boo#1108633)
  * Shush Ruby interpreter warnings (#6)
  * Exclude test files from published gem to shrink it from 7.5 MB to 7.5 KB (#11)
* Mon Apr 16 2018 mschnitzer@suse.com
- initialize package
  [#] v0.3.2
  * Emit the vnd/ms-powerpoint content type for *.ppt files. (#3)
  [#] v0.3.1
  * Support Ruby 2.2 for Rails compatibility.
